Bug 148766 - [maintainer-update] [patch] devel/dulwich: Add mirror, adjust patch file
Summary: [maintainer-update] [patch] devel/dulwich: Add mirror, adjust patch file
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Sylvio Cesar Teixeira
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-07-19 18:40 UTC by Marco Bröder
Modified: 2010-07-25 02:20 UTC (History)
0 users

See Also:


Attachments
file.diff (1.34 KB, patch)
2010-07-19 18:40 UTC, Marco Bröder
no flags Details | Diff
dulwich-0.6.1.patch (2.47 KB, patch)
2010-07-22 21:56 UTC, Marco Bröder
no flags Details | Diff
py26-dulwich-0.6.1.log (17.49 KB, text/x-log; charset="us-ascii")
2010-07-22 21:56 UTC, Marco Bröder
no flags Details
dulwich-0.6.1.patch (2.47 KB, patch)
2010-07-22 22:21 UTC, Marco Bröder
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Marco Bröder 2010-07-19 18:40:01 UTC
- Add launchpad mirror
- Override default FETCH_ARGS to allow 302 redirects used by launchpad
- Adjust 'files/patch-setup.py' from three to two context lines (this removes a context line with version info, so the patch does not need to be modified with every new port version)

Tinderbox log follows as follow-up mail (because of web form limitations).

Thanks and regards!

Fix: Patch attached with submission follows:
Comment 1 Sylvio Cesar Teixeira freebsd_committer 2010-07-20 14:40:12 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sylvio

I'll take it.
Comment 2 Marco Bröder 2010-07-22 21:56:45 UTC
There was an upstream update in the meantime. Here is a new updated patch
and the tinderbox build log.

Thanks again!

-- 
Regards
Comment 3 Marco Bröder 2010-07-22 22:21:47 UTC
Oh damn!

Looks like GNATS has mangled the files. Here is the patch again as a single
attachment. Hope that gets through untouched.

Sorry and thanks!

-- 
Regards
Comment 4 Sylvio Cesar Teixeira freebsd_committer 2010-07-25 02:12:23 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 5 dfilter service freebsd_committer 2010-07-25 02:12:27 UTC
sylvio      2010-07-25 01:12:13 UTC

  FreeBSD ports repository

  Modified files:
    devel/dulwich        Makefile 
    devel/dulwich/files  patch-setup.py 
  Log:
  - Add other mirror
  - Ajust patch file
  
  PR:             ports/148766
  Submitted by:   Marco Broder <marco.broeder@gmx.eu> (maintainer)
  
  Revision  Changes    Path
  1.5       +4 -1      ports/devel/dulwich/Makefile
  1.4       +1 -3      ports/devel/dulwich/files/patch-setup.py
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"